org.apache.lucene.store

## Enum IOContext.Context

- java.lang.Object
- - java.lang.Enum<IOContext.Context>
  - - org.apache.lucene.store.IOContext.Context

- All Implemented Interfaces:
    Serializable, Comparable<IOContext.Context>
  Enclosing class:
    IOContext

      public static enum IOContext.Context
      extends Enum<IOContext.Context>

  Context is a enumerator which specifies the context in which the Directory is being used for.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `FLUSH`
    `MERGE`
    `READ`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IOContext.Context` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IOContext.Context[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MERGE

          public static final IOContext.Context MERGE

    - #### READ

          public static final IOContext.Context READ

    - #### FLUSH

          public static final IOContext.Context FLUSH

    - #### DEFAULT

          public static final IOContext.Context DEFAULT

  - ### Method Detail

    - #### values

          public static IOContext.Context[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IOContext.Context c : IOContext.Context.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IOContext.Context valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.